// Injected in every page to grab the *real* canonical URL (if <link rel="canonical"> exists).
// Falls back to window.location.href.

(() => {
	const canonical = document.querySelector('link[rel="canonical"]');
	window.__NEWSPEAK_URL__ = canonical ? canonical.href : location.href;
})();
